Get Support Case Satisfaction Rating
curl --request GET \
--url https://api.example.com/api/v1/ops/support-cases/{supportCaseId}/satisfaction-rating \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/ops/support-cases/{supportCaseId}/satisfaction-rating"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/ops/support-cases/{supportCaseId}/satisfaction-rating', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"supportCaseSatisfactionRatingId": "0197f155-5485-78d5-b4d5-bb6ba54f7059",
"supportCaseId": "0197f150-40d6-7c1a-bdf2-c5884e07d401",
"ratedByUserId": "0197a7f6-2c4d-74ae-b89b-9d36d9c341f2",
"rating": 5,
"createdAt": "2026-07-10T12:00:00.000Z",
"updatedAt": "2026-07-10T12:00:00.000Z",
"customerId": null,
"comment": null
}{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}{
"message": "Missing or invalid access token",
"statusCode": 401
}{
"message": "Insufficient permissions",
"statusCode": 403
}{
"message": "Internal Server Error",
"statusCode": 500
}Support Case
Get Support Case Satisfaction Rating
Returns support case satisfaction rating.
GET
/
api
/
v1
/
ops
/
support-cases
/
{supportCaseId}
/
satisfaction-rating
Get Support Case Satisfaction Rating
Authorizations
bearerbearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Support case identifier
Example:
"0197f150-40d6-7c1a-bdf2-c5884e07d401"
Query Parameters
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.
Response
OK
Support case satisfaction rating
Support satisfaction rating identifier
Example:
"0197f155-5485-78d5-b4d5-bb6ba54f7059"
Support case identifier
Example:
"0197f150-40d6-7c1a-bdf2-c5884e07d401"
Rating user identifier
Example:
"0197a7f6-2c4d-74ae-b89b-9d36d9c341f2"
Support rating from 1 to 5
Example:
5
Created at
Example:
"2026-07-10T12:00:00.000Z"
Updated at
Example:
"2026-07-10T12:00:00.000Z"
Customer identifier
Example:
null
Rating comment
Maximum string length:
2000Example:
null